	.386
	.model	use32 small

	public	_sinl
	extrn	trigerrl : proc
	.data
nm	db	"sinl",0

	.code
_sinl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	tbyte ptr [ecx]
	fsin
	lea	eax,[nm]
	call	trigerrl
	leave
	ret
	end